Schedules
Get a schedule
Returns the details of a specific schedule for an agent.
GET
/
api
/
v1
/
agent
/
{agentId}
/
schedules
/
{scheduleId}
Get a specific schedule by ID
curl --request GET \
--url https://api.example.com/api/v1/agent/{agentId}/schedules/{scheduleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/agent/{agentId}/schedules/{scheduleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/agent/{agentId}/schedules/{scheduleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"configId": 123,
"name": "<string>",
"schedule": "<string>",
"localSchedule": "<string>",
"timezone": "<string>",
"nextRunTime": "2023-11-07T05:31:56Z",
"startTime": "2023-11-07T05:31:56Z",
"scheduleType": 0,
"isEnabled": true,
"runEveryCount": 123,
"runEveryPeriod": 123,
"inputParameters": "<string>",
"parallelism": 123,
"parallelMaxConcurrency": 123,
"parallelExport": "Combined",
"proxyPoolId": 123,
"serverGroupId": 123,
"logLevel": "Fatal",
"logMode": "Text",
"isExclusive": true,
"isWaitOnFailure": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Authorizations
API Key authorization header. Example: "Authorization: ApiKey {your-api-key}"
OAuth 2.0 Bearer token. Example: "Authorization: Bearer {access-token}"
Path Parameters
The ID of the agent
The ID of the schedule
Response
Returns the schedule details
Represents a scheduled task for an agent in the External API
0 = None; 1 = RunOnce; 2 = RunEvery; 3 = CRON
Available options:
0, 1, 2, 3 0 = Combined; 1 = Separated
Available options:
Combined, Separated 0 = Fatal; 1 = Error; 2 = Warning; 3 = Info
Available options:
Fatal, Error, Warning, Info 0 = Text; 1 = TextAndHtml
Available options:
Text, TextAndHtml